+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 20 of 20
  1. #11
    Forum Deity
    Computer Details
    nestly's Computer Details
    Operating System:
    Windows 7 Pro (64bit)
    Using
    AutoCAD 2015
    Join Date
    Sep 2010
    Location
    PA
    Posts
    3,444

    Default

    Registered forum members do not see this ad.

    PEDIT is clunky .... PolyJoin is sleek

    Code:
    ;;---------------------=={ Polyline Join }==------------------;;
    ;;                                                            ;;
    ;;  Attempts to join all Lines, Arcs and LWPolylines in a     ;;
    ;;  selection.                                                ;;
    ;;------------------------------------------------------------;;
    ;;  Author: Lee Mac, Copyright © 2011 - www.lee-mac.com       ;;
    ;;------------------------------------------------------------;;
    
    (defun c:pj nil (c:PolyJoin))
    
    (defun c:PolyJoin ( / *error* _StartUndo _EndUndo vl ov ss )
      (vl-load-com)
      ;; © Lee Mac 2011
    
      (defun *error* ( msg )
        (if ov  (mapcar 'setvar vl ov))
        (if doc (_EndUndo doc))
        (or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*")
            (princ (strcat "\n** Error: " msg " **"))
        )
        (princ)
      )
    
      (defun _StartUndo ( doc ) (_EndUndo doc)
        (vla-StartUndoMark doc)
      )
    
      (defun _EndUndo ( doc )
        (if (= 8 (logand 8 (getvar 'UNDOCTL)))
          (vla-EndUndoMark doc)
        )
      )
    
      (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
      (_StartUndo doc)
      
      (setq vl '("CMDECHO" "PEDITACCEPT") ov (mapcar 'getvar vl))
      (mapcar 'setvar vl '(0 1))
    
      (if (setq ss (ssget "_:L" '((0 . "LINE,ARC,LWPOLYLINE"))))
        (command "_.pedit" "_M" ss "" "_J" "" "")
      )
    
      (mapcar 'setvar vl ov)
      (_EndUndo doc)
      (princ)
    )

  2. #12
    Junior Member
    Computer Details
    clepine's Computer Details
    Computer:
    Dell Precision T3400
    Monitor:
    Two Dell monitors
    Using
    Civil 3D 2012
    Join Date
    Jul 2011
    Location
    Gillette, Wyoming USA
    Posts
    16

    Default

    Typical autocad, theres usually more than one way to do something. The PE - JOIN process works as long as the lines you are joining together have the same beginning and end point, like if you were to draw several lines continouly. You can also connect multiple lines together that do not have the same beginning and end points connected by converting one line into a PLINE and using the FILLET - MULTIPLE command, select each end of two lines you want to join together, this will create the connected lines into a PLINE as long as the first one you select is a PLINE. You can also set a radius to the fillet, which is handy when you need to create a known radius that is tangent to two lines, like at road intersections.

  3. #13
    Forum Deity rkent's Avatar
    Computer Details
    rkent's Computer Details
    Operating System:
    WIN7 PRO 64bit
    Computer:
    Dell OptiPlex 7020
    CPU:
    i7 4790 3.6GHz
    RAM:
    16GB, 1600MHz, DDR3 non-ECC 2x8GB
    Graphics:
    AMD Radeon 2GB
    Primary Storage:
    Samsung 480Gb SSD
    Monitor:
    Dell 24" FS (2x)
    Discipline
    Mechanical
    rkent's Discipline Details
    Occupation
    Facilities Design - Semi-conductor manufacturing
    Discipline
    Mechanical
    Details
    Designer: Process Piping, P&ID's, Machine Part Design, Planning / General Arrangement. Facilities Management. Drafting: Electrical, Controls, Architectural.
    Using
    Mechanical 2017
    Join Date
    Nov 2007
    Location
    Lat:35, Long:-106, Elev: 5164'
    Posts
    4,574

    Default

    Quote Originally Posted by clepine View Post
    ....
    You can also connect multiple lines together that do not have the same beginning and end points connected by converting one line into a PLINE and using the FILLET - MULTIPLE command, select each end of two lines you want to join together, this will create the connected lines into a PLINE as long as the first one you select is a PLINE. ...
    This is no longer true, you don't need to convert a line to pline first, and you don't have to use fillet. If you have two lines say at 90 degrees to one another and not touching by 6 inches, start PE, Mulitple, pick, join, fuzzfactor >6, finished. They are now one pline.
    Last edited by rkent; 22nd Jul 2011 at 08:59 pm. Reason: clarified fuzzfactor value
    Sometimes there's a man... I won't say a hero, 'cause, what's a hero? But sometimes, there's a man. And I'm talkin' about the Dude here. Sometimes, there's a man, well, he's the man for his time and place. He fits right in there. And that's the Dude, in Los Angeles. - The Stranger, The Big Lebowski

  4. #14
    Junior Member
    Computer Details
    clepine's Computer Details
    Computer:
    Dell Precision T3400
    Monitor:
    Two Dell monitors
    Using
    Civil 3D 2012
    Join Date
    Jul 2011
    Location
    Gillette, Wyoming USA
    Posts
    16

    Default

    Quote Originally Posted by rkent View Post
    This is no longer true, you don't need to convert a line to pline first, and you don't have to use fillet. If you have two lines say at 90 degrees to one another and not touching by 6 inches, start PE, Mulitple, pick, join, fuzzfactor or 8, finished. They are now one pline.
    Cool, thats going to be especially helpful when the lines have different elevations.

  5. #15
    Forum Deity
    Computer Details
    nestly's Computer Details
    Operating System:
    Windows 7 Pro (64bit)
    Using
    AutoCAD 2015
    Join Date
    Sep 2010
    Location
    PA
    Posts
    3,444

    Default

    Quote Originally Posted by clepine View Post
    Cool, thats going to be especially helpful when the lines have different elevations.
    I don't think so.... you can't join line segments that can't define a single plane.

  6. #16
    Junior Member Joseph Marquez's Avatar
    Computer Details
    Joseph Marquez's Computer Details
    Operating System:
    Windows 7 Home Premium
    Computer:
    Toshiba Satellite L505 Laptop
    CPU:
    Intel i7
    RAM:
    8.00 GB
    Graphics:
    Intel® Graphics Media Accelerator 4500M
    Primary Storage:
    1 TB
    Monitor:
    20" HD LCD monitor
    Using
    AutoCAD 2011
    Join Date
    Jul 2011
    Location
    Houston, Texas
    Posts
    18

    Default

    Quote Originally Posted by rkent View Post
    You answer Yes, enter, enter. Done.
    Simple and Quick. I LIKE IT! Thanks!

  7. #17
    Super Moderator SLW210's Avatar
    Computer Details
    SLW210's Computer Details
    Operating System:
    Windows 7 PRO 64-bit
    Computer:
    IBM Lenovo
    Motherboard:
    ACPI x64
    CPU:
    Pentium(R) i5 4570 @ 3.2GHz
    RAM:
    8 GB RAM
    Graphics:
    Nvidia Quadro 600 1GB
    Primary Storage:
    300 GB
    Secondary Storage:
    650GB
    Monitor:
    2x ThinkVision 24"
    Discipline
    Multi-disciplinary
    SLW210's Discipline Details
    Occupation
    Design Draftsman
    Discipline
    Multi-disciplinary
    Details
    Mostly do drafting related to manufacturing. From doing site layouts with proposed updates, additions and renovations to be budgeted and submitted for bid, to updating and changing existing drawings to reflect maintenance and repair/revision work done on site.
    Using
    AutoCAD 2011
    Join Date
    May 2007
    Location
    South Florida, USA
    Posts
    11,722

    Default

    Quote Originally Posted by Joseph Marquez View Post
    Simple and Quick. I LIKE IT! Thanks!
    “A narrow mind and a fat head invariably come on the same person” Zig Zigler



  8. #18
    Senior Member
    Using
    AutoCAD 2008
    Join Date
    Oct 2003
    Location
    Germany
    Posts
    281

  9. #19
    Forum Newbie
    Using
    AutoCAD 2013
    Join Date
    Sep 2013
    Posts
    1

    Default

    This is what I was looking for thanks!

  10. #20
    Senior Member TheCADnoob's Avatar
    Discipline
    See details...
    TheCADnoob's Discipline Details
    Occupation
    Drafter
    Discipline
    See details below.
    Details
    Got a degree in rocket surgery that I cant use so I'm doing CAD work. I literally have my hands on all disciplines and am loving every minute of it, unfortunately by not specializing I believe I have found the Zen Noob. Jack of all master of none.
    Using
    AutoCAD 2013
    Join Date
    Mar 2015
    Posts
    242

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by Jack_O'neill View Post
    Check the help files on how to use the "pedit" command. It will convert a line into a polyline, and then you can join other segments, edit the width, etc.
    just what the dr ordered

Similar Threads

  1. how to convert lines to polylines
    By gvgbabu in forum AutoLISP, Visual LISP & DCL
    Replies: 2
    Last Post: 9th Jun 2011, 07:16 am
  2. remove double lines from drawing(lines,polylines,text)
    By cadamrao in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 12th Apr 2010, 02:35 pm
  3. Convert polylines to 3Dpolylines?
    By EvilSi in forum AutoCAD General
    Replies: 10
    Last Post: 27th Apr 2009, 05:12 pm
  4. Convert Polylines into lines???
    By ramis in forum AutoCAD Beginners' Area
    Replies: 24
    Last Post: 21st Mar 2009, 10:16 pm
  5. Convert 3D Polylines to 2D
    By Matho in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 2
    Last Post: 14th Jul 2008, 04:11 am

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts